Package io.dapr.client.domain

# Class BulkSubscribeAppResponseEntry

java.lang.Object
io.dapr.client.domain.BulkSubscribeAppResponseEntry

public final class BulkSubscribeAppResponseEntry extends Object
Maps a `BulkSubscribeMessageEntry` to a `BulkSubscribeAppResponseStatus`.

## Constructor Summary

Constructors
Constructor
Description
`BulkSubscribeAppResponseEntry(String entryId, BulkSubscribeAppResponseStatus status)`
Instantiate a BulkSubscribeAppResponseEntry.

## Method Summary

Modifier and Type
Method
Description
`String`
`getEntryId()`
`BulkSubscribeAppResponseStatus`
`getStatus()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BulkSubscribeAppResponseEntry

public BulkSubscribeAppResponseEntry(String entryId, BulkSubscribeAppResponseStatus status)
Instantiate a BulkSubscribeAppResponseEntry.

Parameters:
  `entryId` - entry ID of the event.
  `status` - status of the event processing in application.

## Method Details

### getEntryId

public String getEntryId()

### getStatus

public BulkSubscribeAppResponseStatus getStatus()